{: test that string compare causes a compilation error
   if the lhs is not a string}

program e1081( output );

type
   str =  array[1..10] of char;

var
   s : str;
   b : boolean;
begin { e1081 }

   b := s = '1234';        {!!! s is not a string}
end. { e1081 }

